Bug 723487 - strict aliasing warnings during package build
Summary: strict aliasing warnings during package build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openldap
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: 6.2
Assignee: Jan Vcelak
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 732381
TreeView+ depends on / blocked
 
Reported: 2011-07-20 10:47 UTC by Jan Vcelak
Modified: 2013-03-04 01:29 UTC (History)
5 users (show)

Fixed In Version: openldap-2.4.23-17.el6
Doc Type: Bug Fix
Doc Text:
- the openldap package compilation log contains information about breaking strict-aliasing rules - the presence of these warnings can lead into unexpected runtime behavior - -fno-strict-aliasing option is passed to a compiler to avoid optimizations that can produce invalid code - the change might contribute to stability and reliability of OpenLDAP
Clone Of:
: 732381 (view as bug list)
Environment:
Last Closed: 2011-12-06 12:13:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1514 normal SHIPPED_LIVE openldap bug fix and enhancement update 2011-12-06 00:51:20 UTC

Comment 2 Jan Vcelak 2011-08-15 08:23:46 UTC
Fixed in openldap-2.4.23-17.el6

Comment 3 Jan Vcelak 2011-08-15 11:18:43 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
- the openldap package compilation log contains information about breaking strict-aliasing rules
- the presence of these warnings can lead into unexpected runtime behavior
- -fno-strict-aliasing option is passed to a compiler to avoid optimizations that can produce invalid code
- the change might contribute to stability and reliability of OpenLDAP

Comment 6 errata-xmlrpc 2011-12-06 12:13:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1514.html


Note You need to log in before you can comment on or make changes to this bug.